for _, control in ipairs(InterfaceOptionsCameraPanel.controls) do
	if (control.event == "MAX_FOLLOW_DIST") then
		control:SetMinMaxValues(0,3.4); -- I think the max value is still capped at 3.4?
		control:SetValue(GetCVar("cameraDistanceMaxFactor") or control:GetValue());
		return;
	end
end